Loading...
Searching...
No Matches
etl::state_chart_traits Namespace Reference

Simple Finite State Machine Types. More...

## Classes

struct | transition
| Transition definition. More...
struct | transition< TObject, void >
struct | state
| State definition. More...

## Typedefs

typedef uint_least8_t | state_id_t
typedef uint_least8_t | event_id_t

## Detailed Description

Simple Finite State Machine Types.